@import "../../../assets/styles/00-settings/settings";

.popup-share {
  position: fixed;
  left: 0;
  top: 0;
  background-color: rgba(black, 0.5);
  height: 100vh;
  width: 100vw;

  .popup-wrapper {
    position: relative;
    width: 100%;
    height: 100%;

    .popup-container {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      background-color: white;
      box-shadow: $default-shadow;
      border-radius: $default-radius;
      min-width: 200px;
      max-width: 400px;
      max-height: 500px;
      padding: 20px;

      .popup-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding-bottom: 10px;
        margin-bottom: 10px;
        border-bottom: solid 1px black;

        .header-title {
          margin: 0;
        }

        .popup-btn-close {
          font-size: 20px;
        }
      }

      .popup-content {
        overflow-y: auto;
      }

      .popup-footer {

        .content-btn-share {
          margin-top: 20px;
          float: right;
        }
      }
    }
  }
}
